%define api_version 1.0
%define lib_name %mklibname gnomecupsui- %{api_version} %{lib_major}
%define develname %mklibname -d gnomecupsui- %{api_version}
%define lib_major 1
%define libgnomecups_version 0.1.14
%define longtitle GNOME CUPS printer management tool

Summary: %{longtitle}
Name: gnome-cups-manager
Version: 0.33
Release: %mkrel 4
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.ximian.com
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch1: 20_change-su-command.patch
Patch2: 23_options.patch
Patch3: 24_printer_properties_name_entry.patch
Patch4: 25_properties_on_add.patch
Patch5: 26_remove-no-cups-dialog.diff
Patch6: 27_dont-request-additional-attributes.patch
Patch8: 35_show_more_info_of_detected_printers.patch
Patch9: 37_transparent_notification_icon.patch
Patch10: 40_better_menu_text_for_tcp_socket_jetdirect_printers.patch
Patch11: 45_printer_driver_entry_cleanup.patch
Patch13: desktop-potfiles.patch
Patch17: ui_browse_share_ctl.patch
Patch18: gnome-cups-manager-0.33-fix-str-fmt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomecups-devel >= %{libgnomecups_version}
BuildRequires: perl-XML-Parser
Obsoletes: printman
Provides: printman
Requires: gksu

%description
GNOME Cups printer management tool

%package -n %{lib_name}
Summary: GNOME library for CUPS integration
Group: System/Libraries
Requires: %{name} = %{version}

%description -n %{lib_name}
GNOME library for CUPS integration

%package -n %develname
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{lib_name} = %{version}
Provides: libgnomecupsui-devel = %{version}-%{release}
Provides: libgnomecupsui-%{api_version}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gnomecupsui- %{api_version} %{lib_major}

%description -n %develname
GNOME library for CUPS integration


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0
%patch6 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1 -b .cleanup
%patch13 -p1
%patch17 -p1
%patch18 -p0

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_sbindir}/*
%{_datadir}/gnome-cups-manager
%{_datadir}/icons/hicolor/48x48/devices/*
%{_datadir}/icons/hicolor/48x48/stock/data/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libgnomecupsui-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.33-4mdv2011.0
+ Revision: 610918
- rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.33-3mdv2010.1
+ Revision: 506986
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.33-2mdv2009.0
+ Revision: 266913
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.33-1mdv2009.0
+ Revision: 192439
- new version
- sync patches with the Ubuntu package

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.31-5mdv2008.1
+ Revision: 156296
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Götz Waschk <waschk@mandriva.org> 0.31-4mdv2008.0
+ Revision: 83799
- new devel name
- apply Ubuntu patches

  + Lenny Cartier <lenny@mandriva.org>
    - Import gnome-cups-manager



* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31-4mdv2007.0
- Fix xdg menu

* Fri Aug 18 2006 Lenny Cartier <lenny@mandriva.com> 0.31-3mdv2007.0
- xdg

* Fri Feb 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31-2mdk
- Add menu entry (Mdk bug #17002)

* Tue Sep 06 2005 Götz Waschk <waschk@mandriva.org> 0.31-1mdk
- New release 0.31

* Mon Apr 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.30-3mdk
- Rebuild for libsmbclient

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30-2mdk 
- Regenerate icon cache at install/uninstall

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 0.30-1mdk
- New release 0.30

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-2mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.28-1mdk
- requires new libgnomecups
- New release 0.28

* Tue Oct  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.27-1mdk
- requires gnomesu
- fix file list
- requires new libgnomecups
- New release 0.27

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.24-1mdk
- requires new libgnomecups
- New release 0.24

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-1mdk
- Release 0.23

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-2mdk
- fix buildrequires

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- drop patches
- new version

* Wed Jun  9 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-1mdk
- New release 0.18
- Patch0 : fix compilation with gcc 3.4
- Patch1 : initialize i18n correctly

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.17-1mdk
- First Mandrake package (replace printman)
